using System;

internal sealed class Delegate740 : MulticastDelegate
{
	public extern DateTime Invoke(ref DateTime dateTime_0, double double_0);

	public static DateTime smethod_0(ref DateTime dateTime_0, double double_0, Delegate740 delegate740_1)
	{
		return delegate740_1(ref dateTime_0, double_0);
	}

	public extern Delegate740(object object_0, IntPtr intptr_0);

	static Delegate740()
	{
		Class10.smethod_13(typeof(Delegate740).TypeHandle);
	}

	internal static Delegate740 delegate740_0;
}
